<?php
namespace Service\Queue\Task;


use Zeedhi\DevOps\Model\Projectmanagement\EntitiesInterface\Calendar\TaskCalendarInterface;
use Util\Utilities;
use Zeedhi\Queue\Connection;

class Producer extends \Zeedhi\Queue\Producer {

    protected static $queueName = "/queue/pm_calc_date";
    /**
     * @var \Util\Utilities
     */
    protected $utilities;


    public function __construct(Connection $connection) {
        parent::__construct($connection);
    }

    public function sendProjectCalendar(TaskCalendarInterface $entity) {
        $classe = Utilities::getLastNameClass($entity);
        $message = json_encode(array(
            "class" =>  $classe,
            "id"    => $entity->getId()
        ));

        $this->send($message);
    }
}